Loading...
Searching...
No Matches
construct_ibf.cpp File Reference

Implements raptor::hibf::construct_ibf. More...

`#include <lemon/list_graph.h>`
`#include <raptor/build/hibf/bin_size_in_bits.hpp>`
`#include <raptor/build/hibf/construct_ibf.hpp>`
`#include <raptor/build/hibf/insert_into_ibf.hpp>`
`#include <raptor/build/hibf/update_parent_kmers.hpp>`

## Namespaces

namespace | raptor::hibf
| Must be first include.

## Functions

template<seqan3::data_layout data_layout_mode>
seqan3::interleaved_bloom_filter | raptor::hibf::construct_ibf (robin_hood::unordered_flat_set< size_t > &parent_kmers, robin_hood::unordered_flat_set< size_t > &kmers, size_t const number_of_bins, lemon::ListDigraph::Node const &node, build_data< data_layout_mode > &data, build_arguments const &arguments, bool is_root)
template seqan3::interleaved_bloom_filter | raptor::hibf::construct_ibf< seqan3::data_layout::compressed > (robin_hood::unordered_flat_set< size_t > &, robin_hood::unordered_flat_set< size_t > &, size_t const, lemon::ListDigraph::Node const &, build_data< seqan3::data_layout::compressed > &, build_arguments const &, bool)
template seqan3::interleaved_bloom_filter | raptor::hibf::construct_ibf< seqan3::data_layout::uncompressed > (robin_hood::unordered_flat_set< size_t > &, robin_hood::unordered_flat_set< size_t > &, size_t const, lemon::ListDigraph::Node const &, build_data< seqan3::data_layout::uncompressed > &, build_arguments const &, bool)

## Detailed Description

Implements raptor::hibf::construct_ibf.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>